%define _use_internal_dependency_generator 0
%define test 1

Summary: A Perl module for KRISP
Summary(ko): KRISP 펄 모듈
Name: perl-KRISP
Version: 2.1.0
Release: 1%{?dist}
Epoch: 1
License: GPL
Group: Applications/CPAN
Source0: ftp://mirror.oops.org/pub/oops/perl/KRISP/KRISP-%{version}.tar.bz2
Patch0: KRISP-build.patch
Patch1: KRISP-fixed-segfault.patch
BuildRoot: /var/tmp/%{name}-root
BuildRequires: perl >= 0:5.00503 perl-ExtUtils-MakeMaker libkrisp-devel
%if %{test}
BuildRequires: perl-Test-Simple
%endif
Requires: perl >= 0:5.00503 libkrisp

%description
The KRISP module get information that Country, ISP of IP address
with libkrisp library


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

%prep
%setup -q -n KRISP-%{version}
%patch0 -p1
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%if %{test}
%check
make test
%endif

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod > KRISP-%{version}-filelist
if [ "$(cat KRISP-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f KRISP-%{version}-filelist
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/auto/KRISP
#dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/KRISP

%changelog
* Tue Jan 24 2012 JoungKyun.Kim <http://oops.org> 1:2.1.0-1
- first build on AN2
